Skip to main content
GET
/
v1
/
cards
curl --request GET \
  --url 'https://api.havn.finance/v1/cards?limit=2&status=active' \
  --header 'Authorization: Bearer havn_live_abc123def456'
{
  "data": [
    {
      "id": "crd_8f7b2c9a1e3d4f5b",
      "network": "visa",
      "last4": "4242",
      "balance": 1845.50,
      "status": "active",
      "createdAt": "2026-02-10T14:30:00Z"
    },
    {
      "id": "crd_9a8c7d6b5c4f3e2a",
      "network": "mastercard",
      "last4": "8899",
      "balance": 120.00,
      "status": "active",
      "createdAt": "2026-02-18T09:15:22Z"
    }
  ],
  "hasMore": false
}

Authorization

Authorization
string
required
Bearer token. Format: Bearer <token>

Query Parameters

status
string
Filter cards by their current lifecycle status.Options: active, frozen, terminated, awaiting_deposit
limit
number
default:"10"
Maximum number of cards to return per page. Max: 50.
startingAfter
string
A cursor for use in pagination. startingAfter is a card ID that defines your place in the list.

Response

data
array
List of card objects.
hasMore
boolean
Whether there are more cards available beyond this page.

Card Object Attributes

id
string
Unique card identifier. Format: crd_<16 chars>
network
string
The card network credential. Values: visa, mastercard
last4
string
The last 4 digits of the PAN.
balance
number
The current available USD balance on the card.
status
string
Current card status. Values: active, frozen, terminated, awaiting_deposit
createdAt
string
ISO 8601 timestamp indicating when the card was provisioned.
curl --request GET \
  --url 'https://api.havn.finance/v1/cards?limit=2&status=active' \
  --header 'Authorization: Bearer havn_live_abc123def456'
{
  "data": [
    {
      "id": "crd_8f7b2c9a1e3d4f5b",
      "network": "visa",
      "last4": "4242",
      "balance": 1845.50,
      "status": "active",
      "createdAt": "2026-02-10T14:30:00Z"
    },
    {
      "id": "crd_9a8c7d6b5c4f3e2a",
      "network": "mastercard",
      "last4": "8899",
      "balance": 120.00,
      "status": "active",
      "createdAt": "2026-02-18T09:15:22Z"
    }
  ],
  "hasMore": false
}